## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSoundFormat Struct Reference

The sound format. More...

`#include <isound/data.h>`

List of all members.

## Public Attributes

int | Bits
| number of bits per sample (8 or 16)
int | Channels
| number of channels (1 or 2)
int | Freq
| Frequency of the sound (hz).

## Detailed Description

The sound format.

This keeps information about the frequency, bits and channels of a sound data object.

Definition at line 28 of file data.h.

## Member Data Documentation

int csSoundFormat::Bits

| number of bits per sample (8 or 16) Definition at line 33 of file data.h.

int csSoundFormat::Channels

| number of channels (1 or 2) Definition at line 35 of file data.h.

int csSoundFormat::Freq

| Frequency of the sound (hz). Definition at line 31 of file data.h.

The documentation for this struct was generated from the following file:

- isound/data.h